# template: default
%global gem_name terser

Name: rubygem-%{gem_name}
Version: 1.2.2
Release: 1%{?dist}
Summary: Ruby wrapper for Terser JavaScript compressor
License: MIT
URL: https://github.com/ahorek/terser-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.3.0
BuildRequires: ruby >= 2.3.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Terser minifies JavaScript files by wrapping     TerserJS to be accessible in
Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/terser.gemspec

%changelog
* Sun Apr 14 2024 Foreman Packaging Automation <packaging@theforeman.org> - 1.2.2-1
- Update to 1.2.2

* Wed Jan 24 2024 Foreman Packaging Automation <packaging@theforeman.org> - 1.2.0-1
- Update to 1.2.0

* Thu Dec 14 2023 Foreman Packaging Automation <packaging@theforeman.org> 1.1.20-1
- Update to 1.1.20

* Wed Oct 11 2023 Eric D. Helms <ericdhelms@gmail.com> 1.1.18-1
- Add rubygem-terser generated by gem2rpm using the default template

